Update Assistant By Id
curl --request PUT \
--url 'https://api.example.com/api/v1/assistant/{assistant_id}?api_key=' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"attributes": {},
"system_prompt": "<string>",
"voice": true,
"custom_voice": true,
"voice_languages": [
"<unknown>"
],
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"show_images": true,
"hide_ds": true,
"webhook_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"has_human_agent": true,
"use_tools": true,
"conversation_flow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.example.com/api/v1/assistant/{assistant_id}?api_key="
payload = {
"name": "<string>",
"description": "<string>",
"attributes": {},
"system_prompt": "<string>",
"voice": True,
"custom_voice": True,
"voice_languages": ["<unknown>"],
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"show_images": True,
"hide_ds": True,
"webhook_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"has_human_agent": True,
"use_tools": True,
"conversation_flow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
attributes: {},
system_prompt: '<string>',
voice: true,
custom_voice: true,
voice_languages: ['<unknown>'],
org_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
show_images: true,
hide_ds: true,
webhook_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
has_human_agent: true,
use_tools: true,
conversation_flow_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.example.com/api/v1/assistant/{assistant_id}?api_key=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Data updated successfully",
"meta": {},
"data": {
"assistant_type": "simple",
"llm_model": "gpt-4-0125-preview",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"attributes": {},
"system_prompt": "",
"voice": false,
"custom_voice": false,
"voice_languages": [
"en-US",
"de-DE",
"mr-IN",
"hi-IN"
],
"org_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"show_images": false,
"hide_ds": false,
"webhook_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"has_human_agent": false,
"use_tools": false,
"conversation_flow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Assistant
Update Assistant By Id
Update an Assistant
PUT
/
api
/
v1
/
assistant
/
{assistant_id}
Update Assistant By Id
Authorizations
Your API KeyHTTPBearer
Your API key for authentication. You can generate it from the Settings page. Format: starts with in-.
Path Parameters
The UUID id of the assistant
Body
application/json
Available options:
simple, chat, phone, nl2sql, realtime_openai Available options:
gpt-4-0125-preview, gpt-3.5-turbo-0125, gpt-3.5-turbo-1106, gpt-3.5-turbo, gpt-4-1106-preview, gpt-4o-2024-05-13, gpt-4o-mini, llama-3.1-70b-versatile, gpt-4o-realtime-preview, gpt-4o-mini-realtime-preview, deepseek-r1-distill-llama-70b, o3-mini Was this page helpful?

